/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.carbondata.core.carbon.metadata.datatype;

public enum DataType {

  STRING(0),
  DATE(1),
  TIMESTAMP(2),
  BOOLEAN(1),
  SHORT(2),
  INT(3),
  FLOAT(4),
  LONG(5),
  DOUBLE(6),
  NULL(7),
  DECIMAL(8),
  ARRAY(9),
  STRUCT(10),
  MAP(11);

  private int presedenceOrder;

  DataType(int value) {
    this.presedenceOrder = value;
  }

  public int getPresedenceOrder() {
    return presedenceOrder;
  }
}
